Subject: Re: [[email-masked]: [PATCH]: swsusp on linux-2.6.9-rc3]

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 05 Oct 2004 00:14:11 +1000

On Mon, 2004-10-04 at 23:51, Guido Guenther wrote:
> On Mon, Oct 04, 2004 at 11:39:32PM +1000, Benjamin Herrenschmidt wrote:
> > I have more of that in a tree here that I need to rediff... paulus also
> > got real sleep working on his M10 based 15" albook by spying the MacOS
> > driver using that ndrver hack I wrote a while ago, hopefully, we'll get
> > that in shape & merged soon.

> Great! Let me know if I can help to get this merged. What exactly is the
> ndrver hack? Google didn't show up anything.

A hack I wrote a while ago that allows to run the MacOS "ndrv" video
driver within a userland "shell" in linux. It works with old-style
'ndrv's that ATI still uses but not with the newer nVidia 'fully native'
drivers and it can spy all IOs done by the driver

Ben.